// TrafficLightsDlg.h : header file
//

#if !defined(AFX_TRAFFICLIGHTSDLG_H__C60204D5_7732_4E27_91D9_68619BD2DC8F__INCLUDED_)
#define AFX_TRAFFICLIGHTSDLG_H__C60204D5_7732_4E27_91D9_68619BD2DC8F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "TrafficLightsCanvas.h"
#include "Automat.h"
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CTrafficLightsDlg dialog

class CTrafficLightsDlg : public CDialog
{
// Construction
public:
	CTrafficLightsDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CTrafficLightsDlg)
	enum { IDD = IDD_TRAFFICLIGHTS_DIALOG };
	int		m_sliderButton;
	int		m_sliderMode;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrafficLightsDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
public:
	CTrafficLightsCanvas m_Canvas;
	CAutomat m_Automat;

	// Generated message map functions
	//{{AFX_MSG(CTrafficLightsDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnButton();
	afx_msg void OnChangelight();
	afx_msg void OnPower();
	afx_msg void OnReleasedcaptureSliderMode(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderButton(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnBrokengreen();
	afx_msg void OnBrokenred();
	afx_msg void OnBrokenyellow();
	afx_msg void OnFixedgreen();
	afx_msg void OnFixedred();
	afx_msg void OnFixedyellow();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRAFFICLIGHTSDLG_H__C60204D5_7732_4E27_91D9_68619BD2DC8F__INCLUDED_)
